X2Go Bug report logs - #973
X2Go Client Build Issue(s) on Mac

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: David Laxer <davidl@softintel.com>

Date: Mon, 21 Dec 2015 15:20:02 UTC

Severity: normal

Tags: pending

Found in version 4.0.5.0

Fixed in version 4.0.5.1

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#973; Package x2go client. (Mon, 21 Dec 2015 15:20:02 GMT) (full text, mbox, link).


Acknowledgement sent to David Laxer <davidl@softintel.com>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Mon, 21 Dec 2015 15:20:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: David Laxer <davidl@softintel.com>
To: submit@bugs.x2go.org
Subject: X2Go Client Build Issue(s) on Mac
Date: Mon, 21 Dec 2015 07:17:20 -0800
[Message part 1 (text/plain, inline)]
Package: X2Go Client
Version:  4.0.5.0

I’m trying to build X2GoClient from source and the ./macbuild.sh has build errors:

g++: error: unrecognized command line option '--stdlib=libstdc++'
g++: error: unrecognized command line option '-Xarch_x86_64'
g++: error: unrecognized command line option '--stdlib=libstdc++'
g++: error: unrecognized command line option '-Xarch_x86_64'


E.g. - macbuild.sh  (w/ set +x)

./macbuild.sh 
+ MATCH_HELP='(^((-h)|(--help))([ 	]|$))|([ 	]+((-h)|(--help))([ 	]|$))'
+ '[' -n '' ']'
+ NAME=x2goclient
++ dirname ./macbuild.sh
+ TOP_DIR=.
+ [[ . == /* ]]
+ TOP_DIR=/Users/davidlaxer/x2goclient/.
+ BUILD_DIR=/Users/davidlaxer/x2goclient/./client_build
+ APPBUNDLE=/Users/davidlaxer/x2goclient/./client_build/x2goclient.app
+ DMGFILE=/Users/davidlaxer/x2goclient/./client_build/x2goclient.dmg
+ PROJECT=/Users/davidlaxer/x2goclient/./x2goclient.pro
+ PKG_DMG=/Users/davidlaxer/x2goclient/./pkg-dmg
++ which nxproxy
+ NXPROXY=/opt/local/bin/nxproxy
+ : /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk
+ : 10.7
+ : 0
+ : 1
+ : 1
++ make_boolean 0
++ OPTION=0
++ case "${OPTION}" in
++ OPTION=0
++ printf 0
+ DEBUG=0
++ make_boolean 1
++ OPTION=1
++ case "${OPTION}" in
++ OPTION=1
++ printf 1
+ BUNDLE=1
++ make_boolean 1
++ OPTION=1
++ case "${OPTION}" in
++ OPTION=1
++ printf 1
+ UNIVERSAL=1
+ '[' 0 -eq 0 ']'
+ BUILD_MODE=release
+ BUILD_ARCH=x86_64
+ '[' 1 -eq 1 ']'
+ BUILD_ARCH='x86_64 x86'
++ /usr/bin/perl -pe 's#.*?10\.(\d+).*?\.sdk$#\1#'
+ SDK_MINOR_VERSION=7
+ MATCH_NUMBERS='^[0-9]+$'
+ [[ 7 =~ ^[0-9]+$ ]]
+ '[' 7 -gt 6 ']'
+ STDLIB=libstdc++
+ '[' 7 -gt 8 ']'
+ set -e
+ phase Cleaning
+ echo

+ echo '***'
***
+ echo '*** Cleaning...'
*** Cleaning...
+ echo '***'
***
+ echo

+ make clean
rm -fr /Users/davidlaxer/x2goclient/client_build
rm -fr /Users/davidlaxer/x2goclient/plugin_build
make -f Makefile.man2html clean
rm -Rf .build_man2html
find . -maxdepth 3 -name '*.o' -exec rm -vf {} + -type f
find . -maxdepth 3 -name 'moc_*.cpp' -exec rm -vf {} + -type f
find . -maxdepth 3 -name 'ui_*.h' -exec rm -vf {} + -type f
find . -maxdepth 3 -name 'qrc_*.cpp' -exec rm -vf {} + -type f
rm -f x2goclient
rm -f x2goclient.tag
rm -f res/txt/changelog
rm -f res/txt/git-info
+ git --no-pager log --since '2 years ago' '--format=%ai %aN (%h) %n%n%x09*%w(68,0,10) %s%d%n'
+ mv ChangeLog.gitlog res/txt/git-info
+ cp -a debian/changelog res/txt/
+ '[' -e /Users/davidlaxer/x2goclient/./client_build ']'
+ mkdir /Users/davidlaxer/x2goclient/./client_build
+ pushd /Users/davidlaxer/x2goclient/./client_build
~/x2goclient/client_build ~/x2goclient
+ phase 'Running lrelease'
+ echo

+ echo '***'
***
+ echo '*** Running lrelease...'
*** Running lrelease...
+ echo '***'
***
+ echo

+ lrelease /Users/davidlaxer/x2goclient/./x2goclient.pro
Project MESSAGE: if you want to build x2goplugin you should export X2GO_CLIENT_TARGET=pluginProject MESSAGE: Configuring with --git-infoProject MESSAGE: Configuring with --changelogProject MESSAGE: building x2goclient x2goplugin with ldap and cupsUpdating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_de.qm'...
    Generated 568 translation(s) (568 finished and 0 unfinished)
Updating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_da.qm'...
    Generated 568 translation(s) (568 finished and 0 unfinished)
Updating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_es.qm'...
    Generated 564 translation(s) (564 finished and 0 unfinished)
    Ignored 4 untranslated source text(s)
Updating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_et.qm'...
    Generated 564 translation(s) (564 finished and 0 unfinished)
    Ignored 4 untranslated source text(s)
Updating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_fi.qm'...
    Generated 568 translation(s) (568 finished and 0 unfinished)
Updating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_fr.qm'...
    Generated 252 translation(s) (199 finished and 53 unfinished)
    Ignored 316 untranslated source text(s)
Updating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_nb_no.qm'...
    Generated 568 translation(s) (568 finished and 0 unfinished)
Updating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_nl.qm'...
    Generated 568 translation(s) (566 finished and 2 unfinished)
Warning: dropping duplicate messages in '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_pt.qm':

* Context: EditConnectionDialog
* Source: &Session

Updating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_pt.qm'...
    Generated 0 translation(s) (0 finished and 0 unfinished)
    Ignored 568 untranslated source text(s)
Updating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_ru.qm'...
    Generated 554 translation(s) (545 finished and 9 unfinished)
    Ignored 14 untranslated source text(s)
Updating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_sv.qm'...
    Generated 568 translation(s) (568 finished and 0 unfinished)
Updating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_tr.qm'...
    Generated 566 translation(s) (566 finished and 0 unfinished)
Updating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_zh_tw.qm'...
    Generated 395 translation(s) (370 finished and 25 unfinished)
    Ignored 173 untranslated source text(s)
+ MACPORTS_PREFIX=/opt/local
+ phase 'Running qmake'
+ echo

+ echo '***'
***
+ echo '*** Running qmake...'
*** Running qmake...
+ echo '***'
***
+ echo

+ qmake -config release -spec macx-g++ /Users/davidlaxer/x2goclient/./x2goclient.pro 'CONFIG+=x86_64 x86' QMAKE_MAC_SDK=/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk QMAKE_MACOSX_DEPLOYMENT_TARGET=10.7 OSX_STDLIB=libstdc++ MACPORTS_INCLUDE_PATH=/opt/local/include MACPORTS_LIBRARY_PATH=/opt/local/lib
Project MESSAGE: if you want to build x2goplugin you should export X2GO_CLIENT_TARGET=plugin
Project MESSAGE: Configuring with --git-info
Project MESSAGE: Configuring with --changelog
Project MESSAGE: building x2goclient with ldap and cups
+ phase 'Running make'
+ echo

+ echo '***'
***
+ echo '*** Running make...'
*** Running make...
+ echo '***'
***
+ echo

+ make -j2
/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_de.ts
/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_da.ts
Updating '../res/i18n/x2goclient_de.qm'...
    Generated 568 translation(s) (568 finished and 0 unfinished)
/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_es.ts
Updating '../res/i18n/x2goclient_da.qm'...
    Generated 568 translation(s) (568 finished and 0 unfinished)
/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_et.ts
Updating '../res/i18n/x2goclient_es.qm'...
    Generated 564 translation(s) (564 finished and 0 unfinished)
    Ignored 4 untranslated source text(s)
/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_fi.ts
Updating '../res/i18n/x2goclient_et.qm'...
    Generated 564 translation(s) (564 finished and 0 unfinished)
    Ignored 4 untranslated source text(s)
/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_fr.ts
Updating '../res/i18n/x2goclient_fi.qm'...
    Generated 568 translation(s) (568 finished and 0 unfinished)
/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_nb_no.ts
Updating '../res/i18n/x2goclient_fr.qm'...
    Generated 252 translation(s) (199 finished and 53 unfinished)
    Ignored 316 untranslated source text(s)
/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_nl.ts
Updating '../res/i18n/x2goclient_nb_no.qm'...
    Generated 568 translation(s) (568 finished and 0 unfinished)
/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_pt.ts
Updating '../res/i18n/x2goclient_nl.qm'...
    Generated 568 translation(s) (566 finished and 2 unfinished)
/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_ru.ts
Warning: dropping duplicate messages in '../res/i18n/x2goclient_pt.qm':

* Context: EditConnectionDialog
* Source: &Session

Updating '../res/i18n/x2goclient_pt.qm'...
    Generated 0 translation(s) (0 finished and 0 unfinished)
    Ignored 568 untranslated source text(s)
/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_sv.ts
Updating '../res/i18n/x2goclient_ru.qm'...
Updating '../res/i18n/x2goclient_sv.qm'...
    Generated 554 translation(s) (545 finished and 9 unfinished)
    Ignored 14 untranslated source text(s)
    Generated 568 translation(s) (568 finished and 0 unfinished)
/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_tr.ts
/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_zh_tw.ts
Updating '../res/i18n/x2goclient_tr.qm'...
    Generated 566 translation(s) (566 finished and 0 unfinished)
Updating '../res/i18n/x2goclient_zh_tw.qm'...
    Generated 395 translation(s) (370 finished and 25 unfinished)
    Ignored 173 untranslated source text(s)
/Users/davidlaxer/anaconda/bin/uic ../src/ui/cupsprintsettingsdialog.ui -o ui_cupsprintsettingsdialog.h
/Users/davidlaxer/anaconda/bin/uic ../src/ui/cupsprintwidget.ui -o ui_cupsprintwidget.h
/Users/davidlaxer/anaconda/bin/uic ../src/ui/printdialog.ui -o ui_printdialog.h
/Users/davidlaxer/anaconda/bin/uic ../src/ui/printercmddialog.ui -o ui_printercmddialog.h
/Users/davidlaxer/anaconda/bin/uic ../src/ui/printwidget.ui -o ui_printwidget.h
/Users/davidlaxer/anaconda/bin/uic ../src/ui/xsettingsui.ui -o ui_xsettingsui.h
/Users/davidlaxer/anaconda/bin/uic ../src/ui/brokerpassdialog.ui -o ui_brokerpassdialog.h
/Users/davidlaxer/anaconda/bin/uic ../src/ui/contest.ui -o ui_contest.h
/Users/davidlaxer/anaconda/bin/uic ../src/ui/appdialog.ui -o ui_appdialog.h
/Users/davidlaxer/anaconda/bin/uic ../src/ui/helpdialog.ui -o ui_helpdialog.h
/Users/davidlaxer/anaconda/bin/uic ../src/ui/folderexplorer.ui -o ui_folderexplorer.h
g++ -c -pipe --stdlib=libstdc++ -O2 -arch x86_64 -Xarch_x86_64 -mmacosx-version-min=10.5 -arch i386 -Wall -W -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk -DCFGCLIENT -DQT_NO_DEBUG -DQT_SVG_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I../../anaconda/mkspecs/macx-g++ -I../../x2goclient -I../../anaconda/include/QtCore -I../../anaconda/include/QtNetwork -I../../anaconda/include/QtGui -I../../anaconda/include/QtSvg -I../../anaconda/include -I../src -I/opt/local/include -I. -I. -I../../x2goclient -I. -o sharewidget.o ../src/sharewidget.cpp
g++ -c -pipe --stdlib=libstdc++ -O2 -arch x86_64 -Xarch_x86_64 -mmacosx-version-min=10.5 -arch i386 -Wall -W -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk -DCFGCLIENT -DQT_NO_DEBUG -DQT_SVG_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I../../anaconda/mkspecs/macx-g++ -I../../x2goclient -I../../anaconda/include/QtCore -I../../anaconda/include/QtNetwork -I../../anaconda/include/QtGui -I../../anaconda/include/QtSvg -I../../anaconda/include -I../src -I/opt/local/include -I. -I. -I../../x2goclient -I. -o settingswidget.o ../src/settingswidget.cpp
g++: error: unrecognized command line option '--stdlib=libstdc++'
g++: error: unrecognized command line option '-Xarch_x86_64'
g++: error: unrecognized command line option '--stdlib=libstdc++'
g++: error: unrecognized command line option '-Xarch_x86_64'
make: *** [settingswidget.o] Error 1
make: *** Waiting for unfinished jobs....
make: *** [sharewidget.o] Error 1
David-Laxers-MacBook-Pro:x2goclient davidlaxer$ ./macbuild.sh 
[Message part 2 (text/html, inline)]

Bug reassigned from package 'x2go client' to 'x2goclient'. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 13 Jan 2016 06:05:02 GMT) (full text, mbox, link).


No longer marked as found in versions 4.0.5.0. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 13 Jan 2016 06:05:02 GMT) (full text, mbox, link).


Marked as found in versions 4.0.5.0. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 13 Jan 2016 06:05:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#973; Package x2goclient. (Wed, 13 Jan 2016 06:10:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 13 Jan 2016 06:10:02 GMT) (full text, mbox, link).


Message #16 received at 973@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 973@bugs.x2go.org
Cc: David Laxer <davidl@softintel.com>
Subject: Re: [X2Go-Dev] Bug#973: X2Go Client Build Issue(s) on Mac
Date: Wed, 13 Jan 2016 06:58:53 +0100
[Message part 1 (text/plain, inline)]
On 21.12.2015 04:17 PM, David Laxer wrote:
> Package: X2Go Client
> 
> Version:  4.0.5.0
> 
> 
> I’m trying to build X2GoClient from source and the ./macbuild.sh has build errors:
> 
> g++: error: unrecognized command line option '--stdlib=libstdc++'
> g++: error: unrecognized command line option '-Xarch_x86_64'
> g++: error: unrecognized command line option '--stdlib=libstdc++'
> g++: error: unrecognized command line option '-Xarch_x86_64'

These errors likely mean that you're trying to use a compiler different from what is in the Command Line Tools as
shipped by Apple.

Try "type g++" in the terminal to determine which location g++ is taken from by your shell. Ideally it should be
/usr/bin/g++, but in your case I bet it's not. You will probably need to edit PATH in order to correct that problem.

(Also, I actually have a typo in the build process. --stdlib=... should be -stdlib. clang does seem to accept both,
though, while GCC likely chokes on it, being a ported clang feature. I'll correct this with the next commit to master.)



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#973; Package x2goclient. (Wed, 13 Jan 2016 07:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 13 Jan 2016 07:30:02 GMT) (full text, mbox, link).


Message #21 received at 973@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 973-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 973@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Wed, 13 Jan 2016 08:29:00 +0100 (CET)
tag #973 pending
fixed #973 4.0.5.1
thanks

Hello,

X2Go issue #973 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=eeab8aa

The issue will most likely be fixed in src:x2goclient (4.0.5.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit eeab8aa47e9964eb02712cd073acc6199062b3b6
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Wed Jan 13 07:06:50 2016 +0100

    x2goclient.pro: fix typo --stdlib=... -> -stdlib=... Fixes: #973.

diff --git a/debian/changelog b/debian/changelog
index 92a3d0e..c788481 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -16,6 +16,7 @@ x2goclient (4.0.5.1-0x2go1) UNRELEASED; urgency=low
       unknown and undefined errors.
     - onmainwindow.{cpp,h}: don't use a hardcoded path to xmodmap on OS X and
       handle errors more gracefully. Fixes: #487.
+    - x2goclient.pro: fix typo --stdlib=... -> -stdlib=... Fixes: #973.
 
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.5.1):


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 13 Jan 2016 07:30:03 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.5.1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 13 Jan 2016 07:30:03 GMT) (full text, mbox, link).


Message sent on to David Laxer <davidl@softintel.com>:
Bug#973. (Wed, 13 Jan 2016 07:30:04 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#973; Package x2goclient. (Wed, 13 Jan 2016 09:40:01 GMT) (full text, mbox, link).


Acknowledgement sent to David Laxer <davidl@softintel.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 13 Jan 2016 09:40:02 GMT) (full text, mbox, link).


Message #33 received at 973@bugs.x2go.org (full text, mbox, reply):

From: David Laxer <davidl@softintel.com>
To: Mihai Moldovan <ionic@ionic.de>, 973-quiet@bugs.x2go.org
Cc: 973-submitter@bugs.x2go.org, control@bugs.x2go.org, 973@bugs.x2go.org
Subject: Re: Bug#973: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Wed, 13 Jan 2016 01:07:46 -0800
[Message part 1 (text/plain, inline)]
David-Laxers-MacBook-Pro:x2goclient davidlaxer$ git pull
remote: Counting objects: 840, done.
remote: Compressing objects: 100% (232/232), done.
remote: Total 828 (delta 678), reused 727 (delta 596)
Receiving objects: 100% (828/828), 105.20 KiB | 151.00 KiB/s, done.
Resolving deltas: 100% (678/678), completed with 10 local objects.
From git://code.x2go.org/x2goclient
   faf5f02..eeab8aa  master     -> origin/master
 + 067ad34...148803d bugfix/osx -> origin/bugfix/osx  (forced update)
Updating faf5f02..eeab8aa
Fast-forward
 debian/changelog     |  10 +++
 src/onmainwindow.cpp | 174 +++++++++++++++++++++++++++++++++++++++++----------
 src/onmainwindow.h   |   1 +
 x2goclient.pro       |   2 +-
 4 files changed, 154 insertions(+), 33 deletions(-)

$ ./macbuild.sh 

***
*** Cleaning...
***

rm -fr /Users/davidlaxer/x2goclient/client_build
rm -fr /Users/davidlaxer/x2goclient/plugin_build
make -f Makefile.man2html clean
rm -Rf .build_man2html
find . -maxdepth 3 -name '*.o' -exec rm -vf {} + -type f
find . -maxdepth 3 -name 'moc_*.cpp' -exec rm -vf {} + -type f
find . -maxdepth 3 -name 'ui_*.h' -exec rm -vf {} + -type f
find . -maxdepth 3 -name 'qrc_*.cpp' -exec rm -vf {} + -type f
rm -f x2goclient
rm -f x2goclient.tag
rm -f res/txt/changelog
rm -f res/txt/git-info
~/x2goclient/client_build ~/x2goclient

***
*** Running lrelease...
***

Project MESSAGE: if you want to build x2goplugin you should export X2GO_CLIENT_TARGET=pluginProject MESSAGE: Configuring with --git-infoProject MESSAGE: Configuring with --changelogProject MESSAGE: building x2goclient x2goplugin with ldap and cupsUpdating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_de.qm'...
    Generated 568 translation(s) (568 finished and 0 unfinished)
Updating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_da.qm'...
    Generated 568 translation(s) (568 finished and 0 unfinished)
Updating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_es.qm'...
    Generated 564 translation(s) (564 finished and 0 unfinished)
    Ignored 4 untranslated source text(s)
Updating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_et.qm'...
    Generated 564 translation(s) (564 finished and 0 unfinished)
    Ignored 4 untranslated source text(s)
Updating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_fi.qm'...
    Generated 568 translation(s) (568 finished and 0 unfinished)
Updating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_fr.qm'...
    Generated 252 translation(s) (199 finished and 53 unfinished)
    Ignored 316 untranslated source text(s)
Updating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_nb_no.qm'...
    Generated 568 translation(s) (568 finished and 0 unfinished)
Updating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_nl.qm'...
    Generated 568 translation(s) (566 finished and 2 unfinished)
Warning: dropping duplicate messages in '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_pt.qm':

* Context: EditConnectionDialog
* Source: &Session

Updating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_pt.qm'...
    Generated 0 translation(s) (0 finished and 0 unfinished)
    Ignored 568 untranslated source text(s)
Updating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_ru.qm'...
    Generated 554 translation(s) (545 finished and 9 unfinished)
    Ignored 14 untranslated source text(s)
Updating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_sv.qm'...
    Generated 568 translation(s) (568 finished and 0 unfinished)
Updating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_tr.qm'...
    Generated 566 translation(s) (566 finished and 0 unfinished)
Updating '/Users/davidlaxer/x2goclient/res/i18n/x2goclient_zh_tw.qm'...
    Generated 395 translation(s) (370 finished and 25 unfinished)
    Ignored 173 untranslated source text(s)

***
*** Running qmake...
***

Project MESSAGE: if you want to build x2goplugin you should export X2GO_CLIENT_TARGET=plugin
Project MESSAGE: Configuring with --git-info
Project MESSAGE: Configuring with --changelog
Project MESSAGE: building x2goclient with ldap and cups

***
*** Running make...
***

/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_de.ts
/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_da.ts
Updating '../res/i18n/x2goclient_de.qm'...
    Generated 568 translation(s) (568 finished and 0 unfinished)
/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_es.ts
Updating '../res/i18n/x2goclient_da.qm'...
    Generated 568 translation(s) (568 finished and 0 unfinished)
/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_et.ts
Updating '../res/i18n/x2goclient_es.qm'...
    Generated 564 translation(s) (564 finished and 0 unfinished)
    Ignored 4 untranslated source text(s)
/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_fi.ts
Updating '../res/i18n/x2goclient_et.qm'...
    Generated 564 translation(s) (564 finished and 0 unfinished)
    Ignored 4 untranslated source text(s)
/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_fr.ts
Updating '../res/i18n/x2goclient_fi.qm'...
Updating '../res/i18n/x2goclient_fr.qm'...
    Generated 568 translation(s) (568 finished and 0 unfinished)
    Generated 252 translation(s) (199 finished and 53 unfinished)
    Ignored 316 untranslated source text(s)
/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_nb_no.ts
/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_nl.ts
Updating '../res/i18n/x2goclient_nb_no.qm'...
    Generated 568 translation(s) (568 finished and 0 unfinished)
/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_pt.ts
Updating '../res/i18n/x2goclient_nl.qm'...
    Generated 568 translation(s) (566 finished and 2 unfinished)
/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_ru.ts
Warning: dropping duplicate messages in '../res/i18n/x2goclient_pt.qm':

* Context: EditConnectionDialog
* Source: &Session

Updating '../res/i18n/x2goclient_pt.qm'...
    Generated 0 translation(s) (0 finished and 0 unfinished)
    Ignored 568 untranslated source text(s)
/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_sv.ts
Updating '../res/i18n/x2goclient_ru.qm'...
    Generated 554 translation(s) (545 finished and 9 unfinished)
    Ignored 14 untranslated source text(s)
/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_tr.ts
Updating '../res/i18n/x2goclient_sv.qm'...
    Generated 568 translation(s) (568 finiUpdating '../res/i18n/x2goclient_tr.qm'...
shed and 0 unfinished)
/Users/davidlaxer/anaconda/bin/lrelease ../res/i18n/x2goclient_zh_tw.ts
    Generated 566 translation(s) (566 finished and 0 unfinished)
Updating '../res/i18n/x2goclient_zh_tw.qm'...
    Generated 395 translation(s) (370 finished and 25 unfinished)
    Ignored 173 untranslated source text(s)
/Users/davidlaxer/anaconda/bin/uic ../src/ui/cupsprintsettingsdialog.ui -o ui_cupsprintsettingsdialog.h
/Users/davidlaxer/anaconda/bin/uic ../src/ui/cupsprintwidget.ui -o ui_cupsprintwidget.h
/Users/davidlaxer/anaconda/bin/uic ../src/ui/printdialog.ui -o ui_printdialog.h
/Users/davidlaxer/anaconda/bin/uic ../src/ui/printercmddialog.ui -o ui_printercmddialog.h
/Users/davidlaxer/anaconda/bin/uic ../src/ui/printwidget.ui -o ui_printwidget.h
/Users/davidlaxer/anaconda/bin/uic ../src/ui/xsettingsui.ui -o ui_xsettingsui.h
/Users/davidlaxer/anaconda/bin/uic ../src/ui/brokerpassdialog.ui -o ui_brokerpassdialog.h
/Users/davidlaxer/anaconda/bin/uic ../src/ui/contest.ui -o ui_contest.h
/Users/davidlaxer/anaconda/bin/uic ../src/ui/appdialog.ui -o ui_appdialog.h
/Users/davidlaxer/anaconda/bin/uic ../src/ui/helpdialog.ui -o ui_helpdialog.h
/Users/davidlaxer/anaconda/bin/uic ../src/ui/folderexplorer.ui -o ui_folderexplorer.h
g++ -c -pipe -stdlib=libstdc++ -O2 -arch x86_64 -Xarch_x86_64 -mmacosx-version-min=10.5 -arch i386 -Wall -W -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk -DCFGCLIENT -DQT_NO_DEBUG -DQT_SVG_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I../../anaconda/mkspecs/macx-g++ -I../../x2goclient -I../../anaconda/include/QtCore -I../../anaconda/include/QtNetwork -I../../anaconda/include/QtGui -I../../anaconda/include/QtSvg -I../../anaconda/include -I../src -I/opt/local/include -I. -I. -I../../x2goclient -I. -o sharewidget.o ../src/sharewidget.cpp
g++ -c -pipe -stdlib=libstdc++ -O2 -arch x86_64 -Xarch_x86_64 -mmacosx-version-min=10.5 -arch i386 -Wall -W -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk -DCFGCLIENT -DQT_NO_DEBUG -DQT_SVG_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I../../anaconda/mkspecs/macx-g++ -I../../x2goclient -I../../anaconda/include/QtCore -I../../anaconda/include/QtNetwork -I../../anaconda/include/QtGui -I../../anaconda/include/QtSvg -I../../anaconda/include -I../src -I/opt/local/include -I. -I. -I../../x2goclient -I. -o settingswidget.o ../src/settingswidget.cpp
g++: error: unrecognized command line option '-stdlib=libstdc++'
g++: error: unrecognized command line option '-stdlib=libstdc++'
g++: error: unrecognized command line option '-Xarch_x86_64'
g++: error: unrecognized command line option '-Xarch_x86_64'
make: *** [settingswidget.o] Error 1
make: *** Waiting for unfinished jobs....
make: *** [sharewidget.o] Error 1
David-Laxers-MacBook-Pro:x2goclient davidlaxer$ 

> On Jan 12, 2016, at 11:29 PM, Mihai Moldovan <ionic@ionic.de> wrote:
> 
> tag #973 pending
> fixed #973 4.0.5.1
> thanks
> 
> Hello,
> 
> X2Go issue #973 (src:x2goclient) reported by you has been
> fixed in X2Go Git. You can see the changelog below, and you can
> check the diff of the fix at:
> 
>    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=eeab8aa
> 
> The issue will most likely be fixed in src:x2goclient (4.0.5.1).
> 
> light+love
> X2Go Git Admin (on behalf of the sender of this mail)
> 
> ---
> commit eeab8aa47e9964eb02712cd073acc6199062b3b6
> Author: Mihai Moldovan <ionic@ionic.de>
> Date:   Wed Jan 13 07:06:50 2016 +0100
> 
>    x2goclient.pro: fix typo --stdlib=... -> -stdlib=... Fixes: #973.
> 
> diff --git a/debian/changelog b/debian/changelog
> index 92a3d0e..c788481 100644
> --- a/debian/changelog
> +++ b/debian/changelog
> @@ -16,6 +16,7 @@ x2goclient (4.0.5.1-0x2go1) UNRELEASED; urgency=low
>       unknown and undefined errors.
>     - onmainwindow.{cpp,h}: don't use a hardcoded path to xmodmap on OS X and
>       handle errors more gracefully. Fixes: #487.
> +    - x2goclient.pro: fix typo --stdlib=... -> -stdlib=... Fixes: #973.
> 
>   [ Oleksandr Shneyder ]
>   * New upstream release (4.0.5.1):

[Message part 2 (text/html, inline)]

Acknowledgement sent to David Laxer <davidl@softintel.com>:
Extra info received and filed, but not forwarded. (Wed, 13 Jan 2016 09:40:03 GMT) (full text, mbox, link).


Message sent on to David Laxer <davidl@softintel.com>:
Bug#973. (Wed, 13 Jan 2016 09:40:04 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#973; Package x2goclient. (Wed, 13 Jan 2016 17:45:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 13 Jan 2016 17:45:02 GMT) (full text, mbox, link).


Message #44 received at 973@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: David Laxer <davidl@softintel.com>
Cc: 973@bugs.x2go.org
Subject: Re: Bug#973: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Wed, 13 Jan 2016 18:43:53 +0100
[Message part 1 (text/plain, inline)]
On 13.01.2016 10:07 AM, David Laxer wrote:
> g++ -c -pipe -stdlib=libstdc++ -O2 -arch x86_64 -Xarch_x86_64 -mmacosx-version-min=10.5 -arch i386 -Wall -W -isysroot
> /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk -DCFGCLIENT
> -DQT_NO_DEBUG -DQT_SVG_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I../../anaconda/mkspecs/macx-g++
> -I../../x2goclient -I../../anaconda/include/QtCore -I../../anaconda/include/QtNetwork -I../../anaconda/include/QtGui
> -I../../anaconda/include/QtSvg -I../../anaconda/include -I../src -I/opt/local/include -I. -I. -I../../x2goclient -I. -o
> settingswidget.o ../src/settingswidget.cpp
> g++: error: unrecognized command line option '-stdlib=libstdc++'
> g++: error: unrecognized command line option '-stdlib=libstdc++'
> g++: error: unrecognized command line option '-Xarch_x86_64'
> g++: error: unrecognized command line option '-Xarch_x86_64'

Like I said, these errors stem from a wrong compiler. Please check what I've written in my previous mail.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#973; Package x2goclient. (Wed, 13 Jan 2016 18:25:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 13 Jan 2016 18:25:02 GMT) (full text, mbox, link).


Message #49 received at 973@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: David Laxer <davidl@softintel.com>
Cc: 973@bugs.x2go.org
Subject: Re: Bug#973: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Wed, 13 Jan 2016 19:23:12 +0100
[Message part 1 (text/plain, inline)]
On 13.01.2016 06:52 PM, David Laxer wrote:
> Yep.  It’s getting the Macports one first:
> 
> David-Laxers-MacBook-Pro:~ davidlaxer$ whereis g++
> /usr/bin/g++
> David-Laxers-MacBook-Pro:~ davidlaxer$ which g++
> /opt/local/bin/g++

And that's exactly the problem. You'll need to edit PATH to (temporarily) to not prefer the MacPorts prefix.

echo "$PATH"

With this information, re-arrange the values like so:

PATH=/usr/bin:/usr/sbin:...:/opt/local/bin:/opt/local/sbin ./macbuild.sh

Where "..." means anything you have in-between. If you also have /opt/local/libexec/gnubin in there, move it before
/opt/local/bin.



Mihai


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#973; Package x2goclient. (Thu, 24 Mar 2016 20:40:16 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 24 Mar 2016 20:40:17 GMT) (full text, mbox, link).


Message #54 received at 973@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager <git-admin@x2go.org>
To: 973-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 973@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Thu, 24 Mar 2016 21:38:47 +0100 (CET)
close #973
thanks

Hello,

we are very hopeful that X2Go issue #973 reported by you
has been resolved in the new release (4.0.5.1) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.5.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=4f91293625f1b3c12a1fa0a414424557d82fc65a;hp=b69667ef6d5f762b988e756a85a429792871e88c

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.5.1-0x2go1
Status: RELEASE
Date: Thu, 24 Mar 2016 21:35:30 +0100
Fixes: 487 772 860 916 921 927 928 945 948 953 973 987 1000
Changes: 
 x2goclient (4.0.5.1-0x2go1) RELEASED; urgency=low
 .
   [ Mihai Moldovan ]
   * New upstream release (4.0.5.1):
     - onmainwindow.cpp: include sshd PID file path option in quotes to support
       whitespaces within the var directory path on Windows. Add comment to
       revisit this later on non-Windows-platforms, too. Fixes: #916.
     - onmainwindow.cpp: do NOT reformat. Reverts most of the previous commit
       because it breaks code logic.
     - res/txt/packs: add adaptive method.
     - {macbuild.sh,x2goclient.pro}: pass MacPorts library and include path's
       to qmake. Due to the qt4-mac's changes, we do not automatically get
       these values automatically "appended" in a usable way anymore.
     - x2gosettings.cpp: let centralSettings () return false on Windows.
     - onmainwindow.cpp: be more precise in slotScDaemonError () regarding
       unknown and undefined errors.
     - onmainwindow.{cpp,h}: don't use a hardcoded path to xmodmap on OS X and
       handle errors more gracefully. Fixes: #487.
     - x2goclient.pro: fix typo --stdlib=... -> -stdlib=... Fixes: #973.
     - onmainwindow.cpp: add some more error handling for parsing the return
       value of x2golistsessions. As it turns out, it can happen that "invalid"
       strings are inserted in there, for instance by the perl interpreter
       itself. We need to skip over these, or the client crashes when splitting
       up the invalid lines.
     - macbuild.sh: add stdlib forcing. Should not be used unless you really
       know what you're doing. If you ponder using this, you probably don't.
     - res/resources.rcc: add Turkish translation file. Fixes: #987.
     - onmainwindow.cpp: use lowercase version of locale. Fixes: #953.
       Fixes loading up the nb_NO translation file, which is actually baked as
       nb_no into the binary.
     - sshmasterconnection.cpp: let challenge-auth-based login attempts
       fallback to normal password authentication if the initial
       challenge-auth-based attempt was unsuccessful.
     - sshmasterconnection.{cpp,h}: support variable number of
       challenge-auth-code-based prompts.
     - sshmasterconnection.cpp: don't check prompts for full string equality -
       a matching prefix is good enough. Amongst others, this fixes errors in
       conditions where the prompt does not contain a trailing whitespace, but
       X2Go Client expects one.
     - sshmasterconnection.cpp: add OATH TOTP prompt prefix. Fixes: #860.
     - res/i18n: refresh translation files again.
     - res/i18n/x2goclient_nb_no.ts: replace "X-Serv..." with "X.Org Server"
       where applicable.
     - res/i18n/x2goclient_nb_no.ts: correctly use "XQuartz" where necessary.
     - res/i18n/x2goclient_nb_no.ts: whitespace only.
     - res/i18n/x2goclient_nb_no.ts: fix up some "x2go" -> "X2Go" errors.
     - res/i18n/x2goclient_nb_no.ts: mark translation strings needing some care
       ("x2go..." -> "X2Go...") as unfinished for later fixup.
     - res/i18n/x2goclient_nb_no.ts: fix (meta data) typo introduced with last
       commit.
     - res/i18n/x2goclient_nl.ts: fixup translation by respecting the original
       messages' format and other changes.
     - res/i18n/x2goclient_de.ts: fixup translation by respecting the original
       messages' format, fixing typos and general improvements.
     - res/i18n/x2goclient_es.ts: fixup translation by respecting the original
       messages' format and other changes.
     - res/i18n/x2goclient_sv.ts: fixup translation by respecting the original
       messages' format and other changes.
   * debian/control:
     - Change apache2-dev | libc6-dev build dependency back to apache2-dev
       only. Otherwise, apache2-dev is not installed at all, even though
       theoretically available. The initial reasoning for this dependency type,
       apache2-dev not being available on all Ubuntu/Debian platforms, is not
       true anymore.
     - Change apache2-dev build dependency yet again to apache2-dev |
       apache2-threaded-dev. Turns out all Debian distros but wheezy (currently
       oldstable) have an apache2-dev package. Even oldoldstable (squeeze)
       does...
 .
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.5.1):
     - xsettingswidget: compile only on Windows.
     - Add support for new style command line options of xfreerdp on direct RDP
       connections. (Fixes: #772).
     - Replace "::" with "_" for the desktop link name on Windows.
     - Fix direct RDP in broker mode.
     - Fix crashing client when editing session from SessionManageDialog.
       Fixes: #921.
     - Configure audio input in pulseaudio on Windows.
     - Reconnect ssh broker in case of IO Error.
     - Reformat source onmainwindow.cpp.
     - Disable settings editing if a directory with central settings is exists.
     - Format long names on session buttons.
     - Central settings for Linux, Mac and Windows.
     - Fix VCXSRV parameter to disable PRIMARY clipboard in X2Go Client for Windows. Fixes: #927.
     - Fix reading settings for direct RDP connections in broker mode.
     - Auto accept RSA Keys for SSH Broker with --add-to-known-hosts option.
 .
   [ Mike Gabriel ]
   * New upstream release (4.0.5.1):
     - xinerama.conf: Don't choke if screen coordintate lines in xinerama.conf
       start with a dash ("-"). (Fixes: #948).
 .
   [ Mike DePaulo ]
   * New upstream release (4.0.5.1):
     - Windows: Update bundled Win32 OpenSSL from 1.0.1p to 1.0.1q,
       which fixes the multiple CVEs announced on 2015-12-03.
     - Windows: Upgrade Cygwin components to latest versions as of
       2016-01-21, except for the Cygwin DLL which is still at 1.7.33
       in order to avoid breaking folder sharing and printer sharing
       due to 1.7.34's ACL/permissions changes.
       (authorized_keys file would often have mode 660 instead of 600)
       The latest components include most notably:
         + openssh 6.8p1-1-x2go1 -> 7.1p2-1-x2go1 (security update)
         + openssl 1.0.2d-1 -> 1.0.2e-1 (security update)
     - Windows: Update nxproxy from 3.5.0.31 to 3.5.0.32
     - Windows: Update Unicode NSIS from 2.46.5 to 2.50.0 Pre-release,
       which fixes the DLL hijacking security vuln (NSIS bug 1125.)
     - Windows: Update PuTTY from 0.64 to 0.66, which fixes
       CVE-2015-5309.
     - Windows: Remove libzip. libssh no longer uses it.
 .
   [ Orion Poplawski ]
   * New upstream release (4.0.5.1):
     - ssh{process,masterconnection}.cpp: run bash as a login shell when
       invoking any command remotely. Fixes: #928. Because this opens the door
       for ~/.bash_logout and friend scripts to be executed, which may contain
       calls to ncurses' reset or clear, also set the TERM variable to dump to
       not have unexpected output on stderr at logout time.
     - sshmasterconnection.cpp: check correct variable for validity: public key
       instead of private key (again.) Fixes: #945.
 .
   [ Klaus Ade Johnstad ]
   * New upstream version (4.0.5.1):
     - res/i18n/x2goclient_nb_no.ts: update Bokmål (Norway) translation file.
 .
   [ Heinrich Schuchardt ]
   * New upstream version (4.0.5.1):
     - sshmasterconnection.cpp: don't fetch invalid proxy socket. Fixes: #1000.
       From http://doc.qt.io/qt-4.8/qabstractsocket.html#socketDescriptor:
       The socket descriptor is not available when QAbstractSocket is in
       UnconnectedState.
       So we have to connect to the proxy server first before retrieving the
       native socket.
 .
   [ Daniel Lindgren ]
   * New upstream version (4.0.5.1):
     - res/i18n/x2goclient_sv.ts: update Swedish translation file.
 .
   [ Sébastien Ducoulombier ]
   * New upstream version (4.0.5.1):
     - res/i18n/x2goclient_fr.ts: update French translation file.
 .
   [ Jos Wolfkamp ]
   * New upstream version (4.0.5.1):
     - res/i18n/x2goclient_nl.ts: update Dutch translation file.
 .
   [ Stefan Baur ]
   * New upstream release (4.0.5.1):
     - res/i18n/x2goclient_de.ts: update German translation file.
 .
   [ Ricardo Díaz Martín ]
   * New upstream release (4.0.5.1):
     - res/i18n/x2goclient_es.ts: update Spanish translation file.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Thu, 24 Mar 2016 20:40:34 GMT) (full text, mbox, link).


Notification sent to David Laxer <davidl@softintel.com>:
Bug acknowledged by developer. (Thu, 24 Mar 2016 20:40:34 GMT) (full text, mbox, link).


Message sent on to David Laxer <davidl@softintel.com>:
Bug#973. (Thu, 24 Mar 2016 20:40:43 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 22 Apr 2016 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Aug 19 18:25:53 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.